<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>nl.naturalis.oaipmh</groupId>
        <artifactId>oaipmh-pom</artifactId>
        <version>4.0.0</version>
    </parent>

    <artifactId>oaipmh-medialib</artifactId>

    <name>OAI-PMH Medialib</name>

    <dependencies>

        <!-- MODULE DEPENDENCIES -->
        <dependency>
            <groupId>nl.naturalis.oaipmh</groupId>
            <artifactId>oaipmh-api</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!-- NATURALIS -->
        <dependency>
            <groupId>org.klojang</groupId>
            <artifactId>klojang-check</artifactId>
        </dependency>
        <dependency>
            <groupId>org.klojang</groupId>
            <artifactId>klojang-util</artifactId>
        </dependency>
        <dependency>
            <groupId>org.klojang</groupId>
            <artifactId>klojang-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>nl.naturalis</groupId>
            <artifactId>fuzzy-date</artifactId>
        </dependency>

        <!-- DATABASE -->
        <dependency>
            <groupId>com.zaxxer</groupId>
            <artifactId>HikariCP</artifactId>
        </dependency>
        <dependency>
            <groupId>org.mariadb.jdbc</groupId>
            <artifactId>mariadb-java-client</artifactId>
        </dependency>

        <!-- JSON & XML-->
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
            <version>${jackson-core.version}</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
        </dependency>
        <dependency>
            <groupId>jakarta.xml.bind</groupId>
            <artifactId>jakarta.xml.bind-api</artifactId>
        </dependency>
        <dependency>
            <groupId>com.sun.xml.bind</groupId>
            <artifactId>jaxb-impl</artifactId>
        </dependency>

        <!-- UTILS -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
        </dependency>

        <!-- LOGGING -->
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>

        <!-- TEST -->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>
        <testResources>
            <testResource>
                <directory>src/test/resources</directory>
                <filtering>true</filtering>
            </testResource>
        </testResources>
    </build>


</project>